<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Survey form</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <header>
    <h1 class="title" id="title">Transportation of the future</h1>
    <p class="description" id="description">Light survey on type of vehicles used in the future</p>
  </header>



  <form id="survey-form">
    <div class="form-group">
      <label id="name-label" for="name">Name</label>
      <input type="text" name="name" id="name" class="form-control" placeholder="Enter your name" required />
    </div>


    <div class="form-group">
      <label for="email">Email</label>
      <input type="email" name="name" id="email" class="form-control" placeholder="Enter your email" required />
    </div>

    <div class="form-group">
      <label id="number-label" for="number">Age</label>
      <input type="number" name="age" id="number" class="form-control" placeholder="Enter your Age" min="18" max="85"
        required />
    </div>

    <div class="ceplm">
      <p class="fueloption"> Which option do you think will power future cars?</p>
      <select name="fuel" id="dropbox" class="form-control" required>
        <option disabled selected value>Select yuor current preference</option>
        <option value="student">Diesel</option>
        <option value="job">Petrol</option>
        <option value="learner">Full Electric</option>
        <option value="preferNo">Mild Hibrid</option>
        <option value="other">GPL</option>
        <option value="other">CNG</option>
        <option value="other">Other</option>
      </select>
    </div>

    <div class="form-group">
      <p class="electricoption">Would you buy an electric car in the future?</p>
      <label>
        <input name="user-recommend" value="definitely" type="radio" class="input-radio" checked />Definitely</label>

      <label>
        <input name="user-recommend" value="maybe" type="radio" class="input-radio" />Maybe</label>

      <label><input name="user-recommend" value="not-sure" type="radio" class="input-radio" />Not sure</label>
    </div>

    <div class="form-group1">
      <p>What would you like to see improved in future electric cars?
        <span class="clue">(Check all that apply)</span></p>

      <label class="label-radio">
        <input name="prefer"
        value="overall construction"
        type="checkbox"
          class="input-checkbox">Overall Construction</label>

      <label class="label-radio"><input name="prefer" value="longer-range/autonomy" type="checkbox"
        class="input-checkbox">Longer range/autonomy</label>
        
      <label class="label-radio"><input name="prefer" value="lower-purchase-price" type="checkbox"
          class="input-checkbox">Lower purchaseprice</label>

      <label class="label-radio">
        <input name="prefer" value="attractive-design" type="checkbox" class="input-checkbox" />
        <span class="text">Attractive design</div>
      </label>
    </div>

    <div class="form-group">
      <p>What's you comment on future transportation?</p>
      <textarea id="comments" class="input-textarea" name="comment" placeholder="Enter your comment here..."></textarea>
    </div>

    <div class="form-group">
      <button type="submit" id="submit" class="submit-button">
        Submit
      </button>
  </form>

</body>

</html>